FCLOSEALL(3)

NAME
fcloseall - close all open streams

SYNOPSIS
#define _GNU_SOURCE
#include <stdio.h>

int fcloseall(void);

DESCRIPTION
The fcloseall() function closes all of the calling process's open streams. Buffered output for each stream is written before it is closed (as for fflush(3)); buffered input is discarded. The standard streams, stdin, stdout, and stderr are also closed.

RETURN VALUE
This function returns 0 if all files were successfully closed; on error, EOF is returned.

CONFORMING TO
This function is a GNU extension.

SEE ALSO
close(2), fclose(3), fflush(3), fopen(3), setbuf(3), feature_test_macros(7)